function [out] = ms(in)
%
% This is a test for demostating the interface of 
% matlab and PSCAD/EMTDC
%
global xFinal simname ut
warning off
x=length(in);
pscadtime=in(1);pscaddelta=in(2);
u = in(3:x)
if (pscadtime < pscaddelta)
   xFinal=[];
end
%Defineing the current window
current='base';
%
% Recalling the inital states
instate=xFinal;
%
starttime=pscadtime;stoptime=pscadtime+pscaddelta;
ut=[pscadtime u]
%
%calling simulink file
[t,x,y1]=sim(simname,[],simset('MaxRows',1,'DstWorkspace',current,'FixedStep',pscaddelta,'InitialState',instate,'FinalStateName','xFinal','InitialStep',pscaddelta),ut);
%[t,x,y1]=sim(simname,[],simset('MaxRows',1,'DstWorkspace',current,'FixedStep',pscaddelta,'InitialStep',pscaddelta),ut);
out=[y1];
%[starttime stoptime]
return
